Bug 1272124 - Change to network state should refresh software sources
Change to network state should refresh software sources
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
24
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 10:24 EDT by Pat Riehecky
Modified: 2017-03-06 14:30 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1270354
Environment:
Last Closed: 2017-03-06 14:30:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pat Riehecky 2015-10-15 10:24:33 EDT
Whatever the RHEL7 resolution, Fedora also should feature this behavior.

+++ This bug was initially created as a clone of Bug #1270354 +++

Description of problem:
Currently it is possible to convince anaconda to attempt a network installation based on settings that are no longer in use.

Version-Release number of selected component (if applicable):anaconda-19.31.123-1


How reproducible:100%


Steps to Reproduce:
1.boot off of netboot.iso
2.configure all settings for a valid connection to the RHEL yum repo
3.reconfigure the network to an address with no connectivity
4.Begin installation

Actual results:
Anaconda formats the drives and then, after a long wait, produces an error that the repo timed out

Expected results:
When the network settings are changed, access to the installation sources is validated to ensure it still works.

Additional info:

https://github.com/rhinstaller/anaconda/pull/411

Seems to resolve my use cases.
Comment 1 Jan Kurik 2016-02-24 08:50:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.